<?php
/**
 * 易优CMS
 * ============================================================================
 * 版权所有 2016-2028 海南赞赞网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.eyoucms.com
 * ----------------------------------------------------------------------------
 * 如果商业用途务必到官方购买正版授权, 以免引起不必要的法律纠纷.
 * ============================================================================
 * Author: 小虎哥 <1105415366@qq.com>
 * Date: 2018-06-28
 */

namespace weapp\Mbackend\controller;

use think\Page;
use think\Db;
use app\common\controller\Weapp;
use weapp\Mbackend\model\MbackendModel;

/**
 * 插件的控制器
 */
class Member extends Weapp
{
    /**
     * 构造方法
     */
    public function __construct()
    {
        parent::__construct();
    }
    
    // 会员列表
    public function users_index()
    {
        // 获取当前页面完整URL
        $requestUrl = $_SERVER['REQUEST_URI'] ? $_SERVER['REQUEST_URI'] : '';
        $this->assign('requestUrl', $requestUrl);

        // 沿用系统原有表单列表逻辑
        $display = action('admin/Member/users_index');
        $fetch = $this->fetch($display);
        if (!empty(trim($fetch))) {
            return $this->fetch($display);
        } else {
            return false;
        }
    }
    
    // 会员编辑
    public function users_edit()
    {
        // 沿用系统原有会员查看详情逻辑
        $display = action('admin/Member/users_edit');
        return $this->fetch($display);
    }
}